---
title: MySqlDataSource
---

# MySqlDataSource class

[`MySqlDataSource`](../MySqlDataSourceType/) implements a MySQL data source which can be used to obtain open connections, and against which commands can be executed directly.

```csharp
public sealed class MySqlDataSource : DbDataSource
```

## Public Members

| name | description |
| --- | --- |
| [MySqlDataSource](../MySqlDataSource/MySqlDataSource/)(…) | Initializes a new instance of the [`MySqlDataSource`](../MySqlDataSourceType/) class. |
| override [ConnectionString](../MySqlDataSource/ConnectionString/) { get; } | Gets the connection string of the database represented by this [`MySqlDataSource`](../MySqlDataSourceType/). |
| [CreateConnection](../MySqlDataSource/CreateConnection/)() | Creates a new [`MySqlConnection`](../MySqlConnectionType/) that can connect to the database represented by this [`MySqlDataSource`](../MySqlDataSourceType/). |
| [OpenConnection](../MySqlDataSource/OpenConnection/)() | Returns a new, open [`MySqlConnection`](../MySqlConnectionType/) to the database represented by this [`MySqlDataSource`](../MySqlDataSourceType/). |
| [OpenConnectionAsync](../MySqlDataSource/OpenConnectionAsync/)(…) | Asynchronously returns a new, open [`MySqlConnection`](../MySqlConnectionType/) to the database represented by this [`MySqlDataSource`](../MySqlDataSourceType/). |

## Protected Members

| name | description |
| --- | --- |
| override [CreateDbConnection](../MySqlDataSource/CreateDbConnection/)() |  |
| override [Dispose](../MySqlDataSource/Dispose/)(…) |  |
| override [DisposeAsyncCore](../MySqlDataSource/DisposeAsyncCore/)() |  |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
